Author Topic: 'OpenGl Renderer does not support OpenGL2.0'  (Read 610 times)

SpartanB

  • Fast newbie
  • *
  • Posts: 6
  • Karma: 0
    • View Profile
'OpenGl Renderer does not support OpenGL2.0'
« on: 2017-02-13 23:09:39 »
Hey, guys
So, I bought the Steam version of FF7 and it works OK when I launch from Steam
But, after loading the mods on 7th Heaven, I try to launch the game from there and I get this:


HELP

sithlord48

  • No life
  • *
  • Posts: 1436
  • Karma: 33
  • Dark Lord of the Savegame
    • View Profile
    • Blackchocobo
Re: 'OpenGl Renderer does not support OpenGL2.0'
« Reply #1 on: 2017-02-14 10:57:28 »
what video card do you have?
does you card support openGL 2.0?
did u install the video drivers from the manufacturer  NOT from windows update..

SpartanB

  • Fast newbie
  • *
  • Posts: 6
  • Karma: 0
    • View Profile
Re: 'OpenGl Renderer does not support OpenGL2.0'
« Reply #2 on: 2017-02-14 14:07:46 »
what video card do you have?
does you card support openGL 2.0?
did u install the video drivers from the manufacturer  NOT from windows update..
Using an onboard until next friday. But I experienced with mods before and I'm sure the card is not the point, since I face the exact same problem when I try to run the FF7 from the original discs

SpartanB

  • Fast newbie
  • *
  • Posts: 6
  • Karma: 0
    • View Profile
Re: 'OpenGl Renderer does not support OpenGL2.0'
« Reply #3 on: 2017-02-14 15:32:16 »
I see this error only if I use the GameConverter_7H, even if I don't load any mods at all

Kaldarasha

  • No life
  • *
  • Posts: 2138
  • Karma: 129
  • Prince of Model Editing
    • View Profile
Re: 'OpenGl Renderer does not support OpenGL2.0'
« Reply #4 on: 2017-02-14 15:53:09 »
Using an onboard until next friday. But I experienced with mods before and I'm sure the card is not the point, since I face the exact same problem when I try to run the FF7 from the original discs

The converter converts the steam version to the disc version. So yes, your internal GPU can't handle opengl2.0 instructions. But as sithlord48 said, check if its driver is up to date.

sithlord48

  • No life
  • *
  • Posts: 1436
  • Karma: 33
  • Dark Lord of the Savegame
    • View Profile
    • Blackchocobo
Re: 'OpenGl Renderer does not support OpenGL2.0'
« Reply #5 on: 2017-02-15 11:01:43 »
Quote
Using an onboard until next friday.
that is not a card model.  Anyway, the microsoft provided drivers DO NOT provide openGL 2.0 . YOU MUST install the venders drivers from their web page.

Covarr

  • Covarr-Let
  • Administrator
  • No life
  • *
  • Posts: 3915
  • Karma: 115
  • The Great Redarr.
    • View Profile
Re: 'OpenGl Renderer does not support OpenGL2.0'
« Reply #6 on: 2017-02-15 15:38:03 »
YOU MUST install the venders drivers from their web page.
This needs to be big and bold. Whether your onboard graphics are Intel crap or an AMD APU or whatever, get the drivers from Intel or AMD. When you upgrade on Friday, get the drivers from the manufacturer's website. Relying on Windows Update for graphics drivers is an easy way to ensure that you will struggle with OpenGL games.

sithlord48

  • No life
  • *
  • Posts: 1436
  • Karma: 33
  • Dark Lord of the Savegame
    • View Profile
    • Blackchocobo
Re: 'OpenGl Renderer does not support OpenGL2.0'
« Reply #7 on: 2017-02-15 17:17:08 »
This needs to be big and bold. Whether your onboard graphics are Intel crap or an AMD APU or whatever, get the drivers from Intel or AMD. When you upgrade on Friday, get the drivers from the manufacturer's website. Relying on Windows Update for graphics drivers is an easy way to ensure that you will struggle with OpenGL games.

This needs to go in both the basic trouble shooting FAQ as well as the 7th Heaven FAQ.. this is not the 1st time we have had that exact question.